
Redmine - Feature #24266

Receiving email by mail_handler.rb does not trigger corresponding events

2016-11-03 12:57 - Martin Malek

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Hook requests Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

mail_handler.rb should trigger events controller_issues_edit_after_save and controller_issues_new_after_save so plugins can

handle new issues and comments submitted by email.

Related issues:

Related to Redmine - Patch #25261: Patch for bug with call_hook in mail handler New

Has duplicate Redmine - Feature #5023: hook for the mail handler? Closed 2010-03-10

History

#1 - 2016-11-03 16:38 - Martin Malek

- File hook.patch added

Not sure how to contribute to the repository, but the attachment should implement this feature.

#2 - 2017-11-09 10:16 - Roman K

When will this be resolved?

We suffer without it. =(

#3 - 2017-12-09 04:37 - Toshi MARUYAMA

- Category changed from Email receiving to Hook requests

#4 - 2018-09-15 03:21 - Tomasz Muszyński

I can confirm that patch is working. This is major bug!

#5 - 2018-09-15 03:25 - Go MAEDA

- Related to Patch #25261: Patch for bug with call_hook in mail handler added

#6 - 2018-09-15 03:26 - Go MAEDA

Here is another patch: #25261

#7 - 2018-09-15 03:28 - Go MAEDA

- Has duplicate Feature #5023: hook for the mail handler? added

#8 - 2018-09-15 03:29 - Go MAEDA

- Target version set to Candidate for next major release

Files

hook.patch 1.35 KB 2016-11-03 Martin Malek
